// TOTAL PARA LA CONFIGURACION SE DEPRECIACIONES
// Obtiene los elementos input por su ID
const af0045 = document.getElementById('af0045');
const af0047 = document.getElementById('af0047');
const af0473 = document.getElementById('af0473');
const af0474 = document.getElementById('af0474');
const af0477 = document.getElementById('af0477');
const edificaciones = document.getElementById('edificaciones');
const resultado = document.getElementById('resultado');


// Agrega un evento de input a cada campo
af0045.addEventListener('input', calcularTotal);
af0047.addEventListener('input', calcularTotal);
af0473.addEventListener('input', calcularTotal);
af0474.addEventListener('input', calcularTotal);
af0477.addEventListener('input', calcularTotal);
edificaciones.addEventListener('input', calcularTotal);


// Función para calcular el total, resultado y mostrarlo en el campo respectivo
function calcularTotal() {
    const valaf0045 = parseFloat(af0045.value) || 0; // Convierte a número o asigna 0 si no es válido
    const valaf0047 = parseFloat(af0047.value) || 0;
    const valaf0473 = parseFloat(af0473.value) || 0;
    const valaf0474 = parseFloat(af0474.value) || 0;
    const valaf0477 = parseFloat(af0477.value) || 0;
    const valedificaciones = parseFloat(edificaciones.value) || 0;
    const valresultado = (valaf0045 + valaf0047 + valaf0473 + valaf0474 + valaf0477 + valedificaciones)/10;

    resultado.value = valresultado.toFixed(2); // Muestra el total con 2 decimales
   
}

